DBT.DEV_BROADCAST_DEVICEINTERFACE (JNA API)
Description: declaration: package: com.sun.jna.platform.win32, interface: DBT, class: DEV_BROADCAST_DEVICEINTERFACE

Package com.sun.jna.platform.win32

# Class DBT.DEV_BROADCAST_DEVICEINTERFACE

java.lang.Object
com.sun.jna.Structure
com.sun.jna.platform.win32.DBT.DEV_BROADCAST_DEVICEINTERFACE

Enclosing interface:
  DBT

@FieldOrder({"dbcc_size","dbcc_devicetype","dbcc_reserved","dbcc_classguid","dbcc_name"}) public static class DBT.DEV_BROADCAST_DEVICEINTERFACE extends Structure
The Class DEV_BROADCAST_DEVICEINTERFACE.

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.sun.jna.Structure

  `Structure.ByReference, Structure.ByValue, Structure.FieldOrder, Structure.StructField`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `Guid.GUID`
  `dbcc_classguid`
  The dbcc_classguid.
  `int`
  `dbcc_devicetype`
  The dbcc_devicetype.
  `char[]`
  `dbcc_name`
  The dbcc_name.
  `int`
  `dbcc_reserved`
  The dbcc_reserved.
  `int`
  `dbcc_size`
  The dbcc_size.

  ### Fields inherited from class com.sun.jna.Structure

  `ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DEV_BROADCAST_DEVICEINTERFACE()`
  Instantiates a new dev broadcast deviceinterface.
  `DEV_BROADCAST_DEVICEINTERFACE(long pointer)`
  Dev broadcast hdr.
  `DEV_BROADCAST_DEVICEINTERFACE(Pointer memory)`
  Instantiates a new dev broadcast deviceinterface.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getDbcc_name()`
  Gets the dbcc_name.
  `void`
  `read()`
  Reads the fields of the struct from native memory

  ### Methods inherited from class com.sun.jna.Structure

  `allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### dbcc_size

    public int dbcc_size
    The dbcc_size.

  - ### dbcc_devicetype

    public int dbcc_devicetype
    The dbcc_devicetype.

  - ### dbcc_reserved

    public int dbcc_reserved
    The dbcc_reserved.

  - ### dbcc_classguid

    public Guid.GUID dbcc_classguid
    The dbcc_classguid.

  - ### dbcc_name

    public char[] dbcc_name
    The dbcc_name.

- ## Constructor Details

  - ### DEV_BROADCAST_DEVICEINTERFACE

    public DEV_BROADCAST_DEVICEINTERFACE()
    Instantiates a new dev broadcast deviceinterface.

  - ### DEV_BROADCAST_DEVICEINTERFACE

    public DEV_BROADCAST_DEVICEINTERFACE(long pointer)
    Dev broadcast hdr.
    Parameters:
      `pointer` - the pointer

  - ### DEV_BROADCAST_DEVICEINTERFACE

    public DEV_BROADCAST_DEVICEINTERFACE(Pointer memory)
    Instantiates a new dev broadcast deviceinterface.
    Parameters:
      `memory` - the memory

- ## Method Details

  - ### read

    public void read()
    Description copied from class: `Structure`
    Reads the fields of the struct from native memory
    Overrides:
      `read` in class `Structure`

  - ### getDbcc_name

    public String getDbcc_name()
    Gets the dbcc_name.
    Returns:
      the dbcc_name